<?php

// Register Contact Social Widget
etc_add_custom_widget(
    array(
        'name' => 'cms_contact_social',
        'title' => esc_html__( 'Contact Social', 'frontline' ),
        'icon' => 'eicon-social-icons',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__( 'Layout', 'frontline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__( 'Templates', 'frontline' ),
                            'type' => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'frontline' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_contact_social/layout-image/layout1.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'source_section',
                    'label' => esc_html__( 'Source Settings', 'frontline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'social_list',
                            'label' => esc_html__( 'Contact Social Lists', 'frontline' ),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'default' => [
                                [
                                    'title' => esc_html__( 'Facebook', 'frontline' ),
                                    'social_icon' => [
                                        'value' => 'fab fa-facebook-f',
                                        'library' => 'fa-brands',
                                    ],
                                    'link' => esc_html__( 'http://client-link.com', 'frontline' ),
                                ],
                                [
                                    'title' => esc_html__( 'Twitter', 'frontline' ),
                                    'social_icon' => [
                                        'value' => 'fab fa-twitter',
                                        'library' => 'fa-brands',
                                    ],
                                    'link' => esc_html__( 'http://client-link.com', 'frontline' ),
                                ],
                                [
                                    'title' => esc_html__( 'Google +', 'frontline' ),
                                    'social_icon' => [
                                        'value' => 'fab fa-google-plus-g',
                                        'library' => 'fa-brands',
                                    ],
                                    'link' => esc_html__( 'http://client-link.com', 'frontline' ),
                                ],
                            ],
                            'controls' => array(
                                array(
                                    'name' => 'title',
                                    'label' => esc_html__( 'Title', 'frontline' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'placeholder' => esc_html__( 'Enter your title', 'frontline' ),
                                    'default' => esc_html__( 'Social Title', 'frontline' ),
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'social_icon',
                                    'label' => __( 'Icon', 'frontline' ),
                                    'type' => \Elementor\Controls_Manager::ICONS,
                                    'fa4compatibility' => 'social',
                                    'label_block' => true,
                                    'default' => [
                                        'value' => 'fab fa-wordpress',
                                        'library' => 'fa-brands',
                                    ],
                                    'recommended' => [
                                        'fa-brands' => [
                                            'android',
                                            'apple',
                                            'behance',
                                            'bitbucket',
                                            'codepen',
                                            'delicious',
                                            'deviantart',
                                            'digg',
                                            'dribbble',
                                            'elementor',
                                            'facebook-f',
                                            'flickr',
                                            'foursquare',
                                            'free-code-camp',
                                            'github',
                                            'gitlab',
                                            'globe',
                                            'google-plus-g',
                                            'houzz',
                                            'instagram',
                                            'jsfiddle',
                                            'linkedin-in',
                                            'medium',
                                            'meetup',
                                            'mixcloud',
                                            'odnoklassniki',
                                            'pinterest-p',
                                            'product-hunt',
                                            'reddit',
                                            'shopping-cart',
                                            'skype',
                                            'slideshare',
                                            'snapchat',
                                            'soundcloud',
                                            'spotify',
                                            'stack-overflow',
                                            'steam',
                                            'stumbleupon',
                                            'telegram',
                                            'thumb-tack',
                                            'tripadvisor',
                                            'tumblr',
                                            'twitch',
                                            'twitter',
                                            'viber',
                                            'vimeo',
                                            'vk',
                                            'weibo',
                                            'weixin',
                                            'whatsapp',
                                            'wordpress',
                                            'xing',
                                            'yelp',
                                            'youtube',
                                            '500px',
                                        ],
                                        'fa-solid' => [
                                            'envelope',
                                            'link',
                                            'rss',
                                        ],
                                    ],
                                ),
                                array(
                                    'name' => 'link',
                                    'label' => __( 'Link', 'frontline' ),
                                    'type' => \Elementor\Controls_Manager::URL,
                                    'label_block' => true,
                                    'default' => [
                                        'is_external' => 'true',
                                    ],
                                    'dynamic' => [
                                        'active' => true,
                                    ],
                                    'placeholder' => __( 'https://your-link.com', 'frontline' ),
                                ),
                            ),
                            'title_field' => '{{{ title }}}',
                        ),
                    ),
                ),
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);