<?php
// Register Icon Box Widget
etc_add_custom_widget(
    array(
        'name' => 'cms_double_image',
        'title' => esc_html__('Double Image', 'frontline' ),
        'icon' => 'eicon-image-hotspot',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts' => array(

        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__('Layout', 'frontline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'frontline' ),
                            'type' => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'frontline' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_double_image/layout-image/layout1.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'image_section',
                    'label' => esc_html__('Select Images', 'frontline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'description',
                            'label' => esc_html__( 'Description Text', 'frontline' ),
                            'type' => \Elementor\Controls_Manager::CODE,
                            'default' => '',
                            'placeholder' => __( 'Enter your html text', 'frontline' ),
                            'show_label' => false,
                        ),
                        array(
                            'name' => 'selected_image_1',
                            'label' => esc_html__( 'Image Below', 'frontline' ),
                            'type' => \Elementor\Controls_Manager::MEDIA,
                        ),
                        array(
                            'name' => 'selected_image_2',
                            'label' => esc_html__( 'Image Above', 'frontline' ),
                            'type' => \Elementor\Controls_Manager::MEDIA,
                        ),
                    ),
                ),
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);