<?php

// Register Progress Bar Widget
etc_add_custom_widget(
    array(
        'name' => 'cms_progressbar',
        'title' => esc_html__( 'Progress Bar', 'frontline' ),
        'icon' => 'eicon-skill-bar',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts' => array(
            'cms-progressbar-widget-js',
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__( 'Layout', 'frontline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__( 'Templates', 'frontline' ),
                            'type' => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'frontline' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_progressbar/layout-image/layout1.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'source_section',
                    'label' => esc_html__( 'Source Settings', 'frontline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'progressbar_list',
                            'label' => esc_html__( 'Progress Bar Lists', 'frontline' ),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array(
                                array(
                                    'name' => 'title',
                                    'label' => esc_html__( 'Title', 'frontline' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'placeholder' => esc_html__( 'Enter your title', 'frontline' ),
                                    'default' => esc_html__( 'My Skill', 'frontline' ),
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'progress_type',
                                    'label' => esc_html__( 'Type', 'frontline' ),
                                    'type' => \Elementor\Controls_Manager::SELECT,
                                    'default' => '',
                                    'options' => [
                                        '' => esc_html__( 'Default', 'frontline' ),
                                        'info' => esc_html__( 'Info', 'frontline' ),
                                        'success' => esc_html__( 'Success', 'frontline' ),
                                        'warning' => esc_html__( 'Warning', 'frontline' ),
                                        'danger' => esc_html__( 'Danger', 'frontline' ),
                                    ],
                                ),
                                array(
                                    'name' => 'percent',
                                    'label' => esc_html__( 'Percentage', 'frontline' ),
                                    'type' => \Elementor\Controls_Manager::SLIDER,
                                    'default' => [
                                        'size' => 50,
                                        'unit' => '%',
                                    ],
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'display_percentage',
                                    'label' => esc_html__( 'Display Percentage', 'frontline' ),
                                    'type' => \Elementor\Controls_Manager::SELECT,
                                    'default' => 'show',
                                    'options' => [
                                        'show' => esc_html__( 'Show', 'frontline' ),
                                        'hide' => esc_html__( 'Hide', 'frontline' ),
                                    ],
                                ),
                            ),
                        ),
                    ),
                ),
                array(
                    'name' => 'section_progress_style',
                    'label' => esc_html__( 'Progress Bar', 'frontline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'bar_color',
                            'label' => esc_html__( 'Color', 'frontline' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .elementor-progress-wrapper .elementor-progress-bar' => 'background-color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'bar_bg_color',
                            'label' => esc_html__( 'Background Color', 'frontline' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .elementor-progress-wrapper' => 'background-color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'item_spacing',
                            'label' => esc_html__( 'Item Spacing', 'frontline' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'range' => [
                                'px' => [
                                    'max' => 50,
                                ],
                            ],
                            'default' => [
                                'size' => 15,
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .cms-progress-bar' => 'margin-bottom: {{SIZE}}{{UNIT}};',
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'section_title',
                    'label' => esc_html__( 'Text Style', 'frontline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'title_color',
                            'label' => esc_html__( 'Text Color', 'frontline' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .elementor-title' => 'color: {{VALUE}};',
                                '{{WRAPPER}} .elementor-progress-bar' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'typography',
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .elementor-title, {{WRAPPER}} .elementor-progress-percentage',
                        ),
                    ),
                ),
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);