<?php
$html_id = etc_get_element_id($settings);
$source = '';
$orderby = $widget->get_setting('orderby', 'date');
$order = $widget->get_setting('order', 'desc');
$limit = $widget->get_setting('limit', 6);
$post_ids = $widget->get_setting('post_ids', '');
extract(etc_get_posts_of_grid('attorney', [
    'orderby' => $orderby,
    'order' => $order,
    'limit' => $limit,
    'post_ids' => $post_ids,
]));
$dir = $widget->get_setting('dir', 'ltr');
$widget->add_render_attribute( 'inner', [
    'class' => 'cms-attorney-carousel-inner',
    'dir' => $dir,
] );

$slides_to_show = $widget->get_setting('slides_to_show', '');
$slides_to_show_tablet = $widget->get_setting('slides_to_show_tablet', '');
$slides_to_show_mobile = $widget->get_setting('slides_to_show_mobile', '');
$slides_to_scroll = $widget->get_setting('slides_to_scroll', '');
$slides_to_scroll_tablet = $widget->get_setting('slides_to_scroll_tablet', '');
$slides_to_scroll_mobile = $widget->get_setting('slides_to_scroll_mobile', '');

$slidesToShow = !empty($slides_to_show)?$slides_to_show:3;
$isSingleSlide = 1 === $slidesToShow;
$defaultLGDevicesSlidesCount = $isSingleSlide ? 1 : 2;
$slidesToShowTablet = !empty($slides_to_show_tablet)?$slides_to_show_tablet:$defaultLGDevicesSlidesCount;
$slidesToShowMobile = !empty($slides_to_show_mobile)?$slides_to_show_mobile:1;
if($isSingleSlide){
    $slidesToScroll = 1;
}
else{
    $slidesToScroll = !empty($slides_to_scroll)?$slides_to_scroll:$defaultLGDevicesSlidesCount;
}
$slidesToScrollTablet = !empty($slides_to_scroll_tablet)?$slides_to_scroll_tablet:$defaultLGDevicesSlidesCount;
$slidesToScrollMobile = !empty($slides_to_scroll_mobile)?$slides_to_scroll_mobile:1;

$arrows = $widget->get_setting('arrows');
$dots = $widget->get_setting('dots');
$pause_on_hover = $widget->get_setting('pause_on_hover');
$autoplay = $widget->get_setting('autoplay');
$autoplay_speed = $widget->get_setting('autoplay_speed', '5000');
$infinite = $widget->get_setting('infinite');
$speed = $widget->get_setting('speed', '500');
$widget->add_render_attribute( 'carousel', [
    'class' => 'cms-slick-carousel',
    'data-dir' => $dir,
    'data-arrows' => $arrows,
    'data-dots' => $dots,
    'data-pauseOnHover' => $pause_on_hover,
    'data-autoplay' => $autoplay,
    'data-autoplaySpeed' => $autoplay_speed,
    'data-infinite' => $infinite,
    'data-speed' => $speed,
    'data-slidesToShow' => $slidesToShow,
    'data-slidesToShowTablet' => $slidesToShowTablet,
    'data-slidesToShowMobile' => $slidesToShowMobile,
    'data-slidesToScroll' => $slidesToScroll,
    'data-slidesToScrollTablet' => $slidesToScrollTablet,
    'data-slidesToScrollMobile' => $slidesToScrollMobile,
] );

$title_tag = $widget->get_setting('title_tag', 'h3');

$thumbnail_size = $widget->get_setting('thumbnail_size', 'full');
$thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', '');
if($thumbnail_size != 'custom'){
    $img_size = $thumbnail_size;
}
elseif(!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])){
    $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];
}
else{
    $img_size = 'full';
}
?>
<?php if (is_array($posts)): ?>
    <div id="<?php echo esc_attr($html_id) ?>" class="cms-attorney-carousel layout1 cms-slick-slider">
        <div <?php etc_print_html($widget->get_render_attribute_string( 'inner' )); ?>>
            <div <?php etc_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
                <?php
                foreach ($posts as $post):
                $img_id       = get_post_thumbnail_id( $post->ID );
                $img          = etc_get_image_by_size( array(
                    'attach_id'  => $img_id,
                    'thumb_size' => $img_size,
                    'class'      => '',
                ) );
                $thumbnail    = $img['thumbnail'];
                $act_position = get_post_meta($post->ID, 'act_position', true);
                $act_email = get_post_meta($post->ID, 'act_email', true);
                $act_facebook = get_post_meta($post->ID, 'act_facebook', true);
                $act_twitter = get_post_meta($post->ID, 'act_twitter', true);
                $act_skype = get_post_meta($post->ID, 'act_skype', true);
                $act_instagram = get_post_meta($post->ID, 'act_instagram', true);
                ?>
                <div class="carousel-item slick-slide">
                    <div class="carousel-item-inner">
                        <?php if (has_post_thumbnail($post->ID) && wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false)): ?>
                            <div class="entry-featured">
                                <?php echo wp_kses_post($thumbnail); ?>
                            </div>
                        <?php endif; ?>
                        <div class="entry-body">
                            <div class="entry-body-inner font-smooth">
                                <<?php etc_print_html($title_tag);?> class="entry-title">
                                    <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" target="_blank"><?php echo esc_attr(get_the_title($post->ID)); ?></a>
                                </<?php etc_print_html($title_tag);?>>
                                <p class="position"><?php echo esc_html($act_position); ?></p>
                                <div class="entry-content">
                                    <?php
                                    if (!empty($post->post_excerpt)) {
                                        echo wp_trim_words($post->post_excerpt, 30, $more = null);
                                    } else {
                                        $content = strip_shortcodes($post->post_content);
                                        $content = apply_filters('the_content', $content);
                                        $content = str_replace(']]>', ']]&gt;', $content);
                                        $content = wp_trim_words($content, 30, '&hellip;');
                                        echo wp_kses_post($content);
                                    }
                                    ?>
                                </div>
                                <div class="contact-social">
                                    <ul class="info-social">
                                        <?php if(!empty($act_facebook)) : ?>
                                            <li><a href="<?php echo esc_url($act_facebook); ?>"><i class="zmdi zmdi-facebook"></i></a></li>
                                        <?php endif; ?>
                                        <?php if(!empty($act_twitter)) : ?>
                                            <li><a href="<?php echo esc_url($act_twitter); ?>"><i class="zmdi zmdi-twitter"></i></a></li>
                                        <?php endif; ?>
                                        <?php if(!empty($act_skype)) : ?>
                                            <li><a href="<?php echo esc_attr($act_skype); ?>"><i class="zmdi zmdi-skype"></i></a></li>
                                        <?php endif; ?>
                                        <?php if(!empty($act_instagram)) : ?>
                                            <li><a href="<?php echo esc_attr($act_instagram); ?>"><i class="zmdi zmdi-instagram"></i></a></li>
                                        <?php endif; ?>
                                        <?php if(!empty($act_email)) : ?>
                                            <li><a href="mailto:<?php echo str_replace(' ','',$act_email); ?>"><i class="zmdi zmdi-email-open"></i></a></li>
                                        <?php endif; ?>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
<?php endif; ?>