<?php
$migration_allowed = \Elementor\Icons_Manager::is_migration_allowed();
?>
    <div class="cms-contact-social">
        <?php
        foreach ( $settings['social_list'] as $index => $item ) {
            $is_new = empty( $item['social'] ) && $migration_allowed;
            $social = '';


            if ( ! empty( $item['social'] ) ) {
                $social = str_replace( 'fa fa-', '', $item['social'] );
            }

            if ( $is_new && 'svg' !== $item['social_icon']['library'] ) {
                $social = explode( ' ', $item['social_icon']['value'], 2 );
                if ( empty( $social[1] ) ) {
                    $social = '';
                } else {
                    $social = str_replace( 'fa-', '', $social[1] );
                }
            }
            if ( 'svg' === $item['social_icon']['library'] ) {
                $social = '';
            }

            $link_key = 'link_' . $index;

            $widget->add_render_attribute( $link_key, 'href', $item['link']['url'] );

            $widget->add_render_attribute( $link_key, 'class', [
                'contact-social-icon',
                'icon-repeater-item-' . $item['_id'],
            ] );

            if ( $item['link']['is_external'] ) {
                $widget->add_render_attribute( $link_key, 'target', '_blank' );
            }

            if ( $item['link']['nofollow'] ) {
                $widget->add_render_attribute( $link_key, 'rel', 'nofollow' );
            }

            ?>
            <a <?php echo etc_print_html($widget->get_render_attribute_string( $link_key )); ?>>
                <span class="contact-icon-title"><?php echo  esc_html($item['title']); ?></span>
                <span class="contact-icon-image">
                <?php
                if ( $is_new ) {
                    \Elementor\Icons_Manager::render_icon( $item['social_icon'] );
                } else { ?>
                    <i class="<?php echo esc_attr( $item['social'] ); ?>"></i>
                <?php } ?>
                </span>
            </a>
        <?php } ?>
    </div>
<?php
?>