<?php
$widget->add_inline_editing_attributes('pricing_table_title_text');
$widget->add_inline_editing_attributes('pricing_table_button_text');

$title_tag = $settings['pricing_table_title_size'];
$link_type = $settings['pricing_table_button_url_type'];

$target = $rel = '';
if($link_type == 'link'){
    $link_url = get_permalink($settings['pricing_table_button_link_existing_content']);
} elseif ($link_type == 'url') {
    $link_url = $settings['pricing_table_button_link']['url'];
    $target = !empty($settings['pricing_table_button_link']['is_external'])?'_blank':'';
    $rel = !empty($settings['pricing_table_button_link']['nofollow'])?'nofollow':'';
}
$is_new = \Elementor\Icons_Manager::is_migration_allowed();
?>

<div class="pricing-table-container text-center">
    <<?php etc_print_html($title_tag);?> class="pricing-table-title font-smooth">
        <span <?php etc_print_html($widget->get_render_attribute_string( 'pricing_table_title_text' )); ?>><?php echo esc_html($settings['pricing_table_title_text']);?></span>
    </<?php etc_print_html($title_tag);?>>

    <div class="pricing-price-container">
        <span class="pricing-price-value">
            <span class="pricing-price-currency"><?php echo esc_html($settings['pricing_table_price_currency']); ?></span>
            <?php echo esc_html($settings['pricing_table_price_value']); ?>
        </span>
        <span class="pricing-price-separator">
            <?php echo esc_html($settings['pricing_table_price_separator']); ?>
        </span>
        <span class="pricing-price-duration <?php if (empty($settings['pricing_table_price_separator'])){echo esc_attr('block-duration');} ?>">
            <?php echo esc_html($settings['pricing_table_price_duration']); ?>
        </span>
    </div>

    <div class="pricing-list-container">
    <ul class="pricing-list">
        <?php
        foreach( $settings['fancy_text_list_items'] as $item ):
            ?>
            <li>
                <?php
                if($is_new):
                    \Elementor\Icons_Manager::render_icon( $item['pricing_list_item_icon'], [ 'aria-hidden' => 'true' ] );
                    ?>
                <?php else: ?>
                    <i class="<?php echo esc_attr( $item['pricing_list_item_icon'] ); ?>"></i>
                <?php endif; ?>
                <span class="pricing-list-span <?php if ($item['pricing_list_item_slashed']){echo esc_attr('item-slashed');} ?>"><?php echo esc_html($item['pricing_list_item_text']); ?></span>
            </li>
        <?php endforeach; ?>
    </ul>
    <div class="pricing-button-container">
        <a class="pricing-price-button btn btn-secondary" href="<?php echo esc_url( $link_url ); ?>" target="<?php echo esc_attr($target); ?>" rel="<?php echo esc_attr($rel); ?>">
            <span <?php etc_print_html($widget->get_render_attribute_string('pricing_table_button_text')); ?>><?php echo esc_html($settings['pricing_table_button_text']); ?></span>
        </a>
    </div>
</div>

</div>