<?php
/**
 * Template part for displaying default header layout
 */
$sticky_on = frontline_get_opt( 'sticky_on', false );
$search_on = frontline_get_opt( 'search_on', false );
$ct_address = frontline_get_opt('ct_address', "");
$ct_email = frontline_get_opt('ct_email', "");
$time_open = frontline_get_opt('time_open', "");
$ct_phone = frontline_get_opt('ct_phone', "");
$ct_phone_href = str_replace(array('(', ')',' ','.'), '', $ct_phone);

?>
<header id="masthead" class="site-header">
    <div id="site-header-wrap" class="header-layout2 fixed-height <?php if($sticky_on == 1) { echo 'is-sticky'; } ?>">
        <div class="header-top">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12">
                        <div class="header-top-inner">
                            <div class="header-top-left">
                                <?php
                                if(!empty($ct_address)): ?>
                                <div class="ct-item slide-ct-address">
                                    <span><i class="zmdi zmdi-pin"></i></span>
                                    <p><?php echo wp_kses_post($ct_address); ?></p>
                                </div>
                                <?php endif;

                                if(!empty($ct_email)): ?>
                                <div class="ct-item slide-ct-email">
                                    <span><i class="zmdi zmdi-email"></i></span>
                                    <a href="mailto:<?php echo esc_attr( $ct_email ); ?>"><?php echo wp_kses_post( $ct_email  ); ?></a>
                                </div>
                                <?php endif;

                                if(!empty($time_open)): ?>
                                <div class="ct-item slide-ct-time">
                                    <span><i class="zmdi zmdi-time"></i></span>
                                    <p><?php echo wp_kses_post($time_open); ?></p>
                                </div>
                                <?php endif;
                                ?>
                            </div>
                            <div class="header-top-right">
                                <div class="top-right-content">
                                    <div class="top-right-social">
                                        <div class="cms-social-media">
                                            <?php frontline_social_media(); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="site-header" class="site-header-main">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12 column-flex">
                        <div class="site-branding">
                            <?php get_template_part( 'template-parts/header-branding' ); ?>
                        </div>
                        <div class="site-navigation">
                            <nav class="main-navigation">
                                <?php get_template_part( 'template-parts/header-menu' ); ?>
                            </nav>
                            <div class="site-menu-right">
                                <?php if($search_on || !empty($ct_phone) ) : ?>
                                    <div class="top-right-content">
                                        <?php if($search_on) : ?>
                                            <div class="top-right-action-icon">
                                                <span class="icon-item h-btn-search"><i class="fa fa-search"></i></span>
                                            </div>
                                        <?php endif;

                                        if(!empty($ct_phone)): ?>
                                            <div class="ct-item ct-phone font-smooth">
                                                <a href="tel:<?php echo esc_attr( $ct_phone_href ); ?>"><?php echo wp_kses_post( $ct_phone  ); ?></a>
                                            </div>
                                        <?php endif;
                                        ?>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div id="main-menu-mobile">
                <span class="btn-nav-mobile open-menu">
                    <span></span>
                </span>
            </div>
        </div>
    </div>
</header>