<?php
/**
 * Template part for displaying default header layout
 */
$sticky_on = frontline_get_opt( 'sticky_on', false );
$search_on = frontline_get_opt( 'search_on', false );
$h_btn_on = frontline_get_opt( 'h_btn_on', 'hide' );
$h_btn_text = frontline_get_opt( 'h_btn_text' );
$h_btn_link_type = frontline_get_opt( 'h_btn_link_type', 'page' );
$h_btn_link = frontline_get_opt( 'h_btn_link' );
$h_btn_link_custom = frontline_get_opt( 'h_btn_link_custom' );
$h_btn_target = frontline_get_opt( 'h_btn_target', '_self' );
if($h_btn_link_type == 'page') {
    $h_btn_url = get_permalink($h_btn_link);
} else {
    $h_btn_url = $h_btn_link_custom;
}
$ct_address = frontline_get_opt('ct_address', "");
$ct_email = frontline_get_opt('ct_email', "");
$time_open = frontline_get_opt('time_open', "");
$ct_phone = frontline_get_opt('ct_phone', "");
$ct_phone_href = str_replace(array('(', ')',' ','.'), '', $ct_phone);
?>
<header id="masthead" class="site-header">
    <div id="site-header-wrap" class="header-layout6 header-transparent fixed-height <?php if($sticky_on == 1) { echo 'is-sticky'; } ?>">
        <div id="site-header" class="site-header-main">
            <div class="container">
                <div class="row row-flex">
                    <div class="col-lg-12 col-md-12 col-sm-12">
                        <div class="header-top">
                            <div class="site-branding">
                                <?php get_template_part( 'template-parts/header-branding' ); ?>
                            </div>
                            <div class="header-top-right">
                                <div class="ct-item phone-mail">
                                    <div class="ct-item-icon">
                                        <span><i class="fa fa-phone" aria-hidden="true"></i></span>
                                    </div>
                                    <div class="ct-item-text">
                                        <div class="ct-phone">
                                            <a href="tel:<?php echo esc_attr( $ct_phone_href ); ?>"><?php echo wp_kses_post( $ct_phone  ); ?></a>
                                        </div>
                                        <div class="ct-email">
                                            <a href="mailto:<?php echo esc_attr( $ct_email ); ?>"><?php echo wp_kses_post( $ct_email  ); ?></a>
                                        </div>
                                    </div>
                                </div>
                                <div class="ct-item address">
                                    <div class="ct-item-icon">
                                        <span><i class="fa fa-home" aria-hidden="true"></i></span>
                                    </div>
                                    <div class="ct-item-text">
                                        <div class="ct-address">
                                            <p><?php echo wp_kses_post($ct_address); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="ct-item time">
                                    <div class="ct-item-icon">
                                        <span><i class="fa fa-clock-o" aria-hidden="true"></i></span>
                                    </div>
                                    <div class="ct-item-text">
                                        <div class="ct-time-open">
                                            <p><?php echo wp_kses_post($time_open); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <?php if($search_on) : ?>
                                <div class="action-icon">
                                    <span class="icon-item h-btn-search"><i class="fa fa-search"></i></span>
                                </div>
                                <?php endif;?>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-12 col-md-12 col-sm-12">
                        <div class="header-bottom">
                            <div class="site-navigation">
                                <nav class="main-navigation">
                                    <?php get_template_part( 'template-parts/header-menu' ); ?>
                                </nav>
                                <div class="site-menu-right">
                                    <?php if($h_btn_on == 'show' && !empty($h_btn_text)) : ?>
                                        <div class="site-menu-right-button">
                                            <a href="<?php echo esc_url( $h_btn_url ); ?>" target="<?php echo esc_attr($h_btn_target); ?>" class="menu-right-item btn hover-slide"><?php echo esc_attr( $h_btn_text ); ?></a>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div id="main-menu-mobile">
                <span class="btn-nav-mobile open-menu">
                    <span></span>
                </span>
            </div>
        </div>
    </div>
</header>