<?php

/* Remove result count & product ordering & item product category..... */
function frontline_cwoocommerce_remove_function() {
	remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10, 0 );
	remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5, 0 );
	remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10, 0 );
	remove_action( 'woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_title', 10, 0 );
	remove_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10, 0 );
	remove_action( 'woocommerce_before_shop_loop' , 'woocommerce_catalog_ordering', 30 );
	remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20 );

	remove_action( 'woocommerce_single_product_summary' , 'woocommerce_template_single_title', 5 );
	remove_action( 'woocommerce_single_product_summary' , 'woocommerce_template_single_rating', 10 );
	remove_action( 'woocommerce_single_product_summary' , 'woocommerce_template_single_price', 10 );
	remove_action( 'woocommerce_single_product_summary' , 'woocommerce_template_single_excerpt', 20 );
	remove_action( 'woocommerce_single_product_summary' , 'woocommerce_template_single_meta', 40 );
	remove_action( 'woocommerce_single_product_summary' , 'woocommerce_template_single_sharing', 50 );
}
add_action( 'init', 'frontline_cwoocommerce_remove_function' );

/* Product Category */
add_action( 'woocommerce_before_shop_loop', 'frontline_woocommerce_nav_top', 2 );
function frontline_woocommerce_nav_top() { ?>
	<div class="woocommerce-topbar">
		<div class="woocommerce-result-count">
			<?php woocommerce_result_count(); ?>
		</div>
		<div class="woocommerce-topbar-ordering">
			<?php woocommerce_catalog_ordering(); ?>
		</div>
	</div>
<?php }

add_filter( 'woocommerce_after_shop_loop_item', 'frontline_woocommerce_product' );
function frontline_woocommerce_product() {
	global $product;
	?>
	<div class="woocommerce-product-inner">
		<div class="woocommerce-product-header">
			<a class="woocommerce-product-details" href="<?php the_permalink(); ?>">
				<?php woocommerce_template_loop_product_thumbnail(); ?>
			</a>
			<div class="woocommerce-product-meta">
				<?php if ( ! $product->managing_stock() && ! $product->is_in_stock() ) { ?>
					<div class="woocommerce-out-of-stock">
				    	<a class="btn" href="<?php the_permalink(); ?>"><?php echo esc_html__('Out Of Stock', 'frontline'); ?></a>
					</div>
				<?php } else { ?>
					<div class="woocommerce-add-to-cart">
				    	<?php woocommerce_template_loop_add_to_cart(); ?>
					</div>
				<?php } ?>
			</div>
		</div>
		<div class="woocommerce-product-holder">
			<h3 class="woocommerce-product-title">
				<a href="<?php the_permalink(); ?>" ><?php the_title(); ?></a>
			</h3>
			<?php woocommerce_template_loop_price(); ?>
		</div>
	</div>
<?php }

/* Add the custom Tabs Specification */
function frontline_custom_product_tab_specification( $tabs ) {
	$product_specification = frontline_get_page_opt( 'product_specification' );
	if(!empty($product_specification)) {
		$tabs['tab-product-feature'] = array(
			'title'    => esc_html__( 'Product Specification', 'frontline' ),
			'callback' => 'frontline_custom_tab_content_specification',
			'priority' => 10,
		);
		return $tabs;
	} else {
		return $tabs;
	}
}
add_filter( 'woocommerce_product_tabs', 'frontline_custom_product_tab_specification' );

/* Function that displays output for the Tab Specification. */
function frontline_custom_tab_content_specification( $slug, $tab ) {
	$product_specification = frontline_get_page_opt( 'product_specification' );
	$result = count($product_specification); ?>
	<div class="tab-content-wrap">
		<?php if (!empty($product_specification)) : ?>
			<div class="tab-product-feature-list">
				<?php for($i=0; $i<$result; $i+=2) { ?>
					<div class="row">
						<div class="col-xl-4 col-lg-4 col-md-12">
                        	<?php echo isset($product_specification[$i])?esc_html( $product_specification[$i] ):''; ?>
                        </div>
                        <div class="col-xl-8 col-lg-8 col-md-12">
                        	<?php echo isset($product_specification[$i+1])?esc_html( $product_specification[$i+1] ):''; ?>
                        </div>
                    </div>
                    <div class="line-gap"></div>
				<?php } ?>
			</div>
		<?php endif; ?>
	</div>
<?php }

/* Removes the "shop" title on the main shop page */
function frontline_hide_page_title()
{
    return false;
}
add_filter('woocommerce_show_page_title', 'frontline_hide_page_title');

/* Replace text Onsale */
add_filter( 'woocommerce_sale_flash', 'frontline_replace_sale_text' );
function frontline_replace_sale_text( $html ) {

	$regular_price = get_post_meta( get_the_ID(), '_regular_price', true);
	$sale_price = get_post_meta( get_the_ID(), '_sale_price', true);

	$product_sale = '';
	if(!empty($sale_price)) {
		$product_sale = intval( ( (intval($regular_price) - intval($sale_price)) / intval($regular_price) ) * 100);
		return str_replace( 'Sale!', '<span class="onsale-inner font-smooth"><span>' .esc_html__('Sale','frontline').' '.$product_sale.'%</span></span>', $html );
	}
}

/* Show product per page */
function frontline_loop_shop_per_page(){
	$product_per_page = frontline_get_opt( 'product_per_page', '9' );
	return $product_per_page;
}
add_filter( 'loop_shop_per_page', 'frontline_loop_shop_per_page' );

/* Product Single: Summary */
add_action( 'woocommerce_before_single_product_summary', 'frontline_woocommerce_single_summer_start', 0 );
function frontline_woocommerce_single_summer_start() { ?>
	<?php echo '<div class="woocommerce-summary-wrap row">'; ?>
<?php }
add_action( 'woocommerce_after_single_product_summary', 'frontline_woocommerce_single_summer_end', 5 );
function frontline_woocommerce_single_summer_end() { ?>
	<?php echo '</div></div>'; ?>
<?php }

add_action( 'woocommerce_single_product_summary', 'frontline_woocommerce_sg_product_price', 10 );
function frontline_woocommerce_sg_product_price() { ?>
	<div class="woocommerce-sg-product-meta">
		<div class="woocommerce-sg-product-holder">
			<div class="woocommerce-sg-product-title">
				<?php woocommerce_template_single_title(); ?>
			</div>
			<div class="woocommerce-sg-product-price">
				<?php woocommerce_template_single_price(); ?>
			</div>
		</div>
		<div class="woocommerce-sg-product-rating">
			<?php woocommerce_template_single_rating(); ?>
		</div>
	</div>
<?php }

add_action( 'woocommerce_single_product_summary', 'frontline_woocommerce_sg_product_excerpt', 20 );
function frontline_woocommerce_sg_product_excerpt() { ?>
	<div class="woocommerce-sg-product-excerpt">
		<?php woocommerce_template_single_excerpt(); ?>
	</div>
<?php }

add_action( 'woocommerce_single_product_summary', 'frontline_woocommerce_sg_product_meta', 21 );
function frontline_woocommerce_sg_product_meta() { global $product; ?>
    <div class="woocommerce-product-summary-meta">
        <?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) : ?>
            <div class="woocommerce-product-sku">
                <label><?php esc_html_e( 'Sku:', 'frontline' ); ?></label>
                <span class="sku">
                    <?php echo esc_html(( $sku = $product->get_sku() )) ? $sku : esc_html__( 'N/A', 'frontline' ); ?>
                </span>
            </div>
        <?php endif; ?>
        <?php echo wc_get_product_category_list( $product->get_id(), ', ', '<div class="woocommerce-product-category"><label>'.esc_html('Categories:', 'frontline').'</label>', '</div>' ); ?>
        <?php echo wc_get_product_tag_list( $product->get_id(), ' - ', '<div class="woocommerce-product-tag"><label>'.esc_html('Tags:', 'frontline').'</label>', '</div>' ); ?>
    </div>
<?php }

add_action( 'woocommerce_before_add_to_cart_quantity', 'frontline_add_quantity_label');
function frontline_add_quantity_label() { ?>
    <label class="quantity-label"><?php echo esc_html__('Quantity :', 'frontline');?></label>
<?php }

add_action( 'woocommerce_single_product_summary', 'frontline_woocommerce_sg_product_nav', 40 );
function frontline_woocommerce_sg_product_nav(){
    ?>
    <div class="woocommerce-sg-product-navigation">
        <?php frontline_product_nav(); ?>
    </div>
    <?php
}

/* Product Single: Gallery */
add_action( 'woocommerce_before_single_product_summary', 'frontline_woocommerce_single_gallery_start', 0 );
function frontline_woocommerce_single_gallery_start() { ?>
	<?php echo '<div class="woocommerce-gallery col-lg-6 col-md-6 col-sm-12 col-xs-12">'; ?>
<?php }
add_action( 'woocommerce_before_single_product_summary', 'frontline_woocommerce_single_gallery_end', 30 );
function frontline_woocommerce_single_gallery_end() { ?>
	<?php echo '</div><div class="woocommerce-product-summary col-lg-6 col-md-6 col-sm-12 col-xs-12">'; ?>
<?php }

/* Rating */
function frontline_rating($rating_html, $rating) {
	global $product;
	$rating_count = $product->get_rating_count();
	if($rating_count == 0) {
		$rating_count = esc_html__( 'No', 'frontline' );
	}
	$rating_html = '<div class="star-rating-wrap">';
	$rating_html .= '<div class="star-rating">';
	$rating_html .= '<span style="width:' . ( ( $rating / 5 ) * 100 ) . '%"></span>';
	$rating_html .= '</div>';
	$rating_html .= '<div class="count-rating">'.$rating_count.' '.esc_html__('reviews', 'frontline').'</div>';
	$rating_html .= '</div>';
	return $rating_html;
}
add_filter( 'woocommerce_product_get_rating_html', 'frontline_rating', 10, 2);

/* Ajax update cart item */
add_filter('woocommerce_add_to_cart_fragments', 'frontline_woo_mini_cart_item_fragment');
function frontline_woo_mini_cart_item_fragment( $fragments ) {
	global $woocommerce;
	$product_subtitle = frontline_get_page_opt( 'product_subtitle' );
    ob_start();
    ?>
    <div class="widget_shopping_cart">
        <div class="widget_shopping_cart_content">
            <?php
            	$cart_is_empty = sizeof( $woocommerce->cart->get_cart() ) <= 0;
            ?>
            <ul class="cart_list product_list_widget">

			<?php if ( ! WC()->cart->is_empty() ) : ?>

				<?php
					foreach ( WC()->cart->get_cart() as $cart_item_key => $cart_item ) {
						$_product     = apply_filters( 'woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key );
						$product_id   = apply_filters( 'woocommerce_cart_item_product_id', $cart_item['product_id'], $cart_item, $cart_item_key );

						if ( $_product && $_product->exists() && $cart_item['quantity'] > 0 && apply_filters( 'woocommerce_widget_cart_item_visible', true, $cart_item, $cart_item_key ) ) {

							$product_name  = apply_filters( 'woocommerce_cart_item_name', $_product->get_title(), $cart_item, $cart_item_key );
							$thumbnail     = apply_filters( 'woocommerce_cart_item_thumbnail', $_product->get_image(), $cart_item, $cart_item_key );
							$product_price = apply_filters( 'woocommerce_cart_item_price', WC()->cart->get_product_price( $_product ), $cart_item, $cart_item_key );
							?>
							<li>
								<?php if(!empty($thumbnail)) : ?>
									<div class="cart-product-image">
										<a href="<?php echo esc_url( $_product->get_permalink( $cart_item ) ); ?>">
											<?php echo str_replace( array( 'http:', 'https:' ), '', $thumbnail ); ?>
										</a>
									</div>
								<?php endif; ?>
								<div class="cart-product-meta">
									<h3><a href="<?php echo esc_url( $_product->get_permalink( $cart_item ) ); ?>"><?php echo esc_html($product_name); ?></a></h3>
									<?php echo apply_filters( 'woocommerce_widget_cart_item_quantity', '<span class="quantity">' . sprintf( '%s &times; %s', $cart_item['quantity'], $product_price ) . '</span>', $cart_item, $cart_item_key ); ?>
									<?php
										echo apply_filters( 'woocommerce_cart_item_remove_link', sprintf(
											'<a href="%s" class="remove_from_cart_button" aria-label="%s" data-product_id="%s" data-cart_item_key="%s" data-product_sku="%s"><i class="zmdi zmdi-close"></i></a>',
											esc_url( wc_get_cart_remove_url( $cart_item_key ) ),
											esc_attr__( 'Remove this item', 'frontline' ),
											esc_attr( $product_id ),
											esc_attr( $cart_item_key ),
											esc_attr( $_product->get_sku() )
										), $cart_item_key );
									?>
								</div>
							</li>
							<?php
						}
					}
				?>

				<?php else : ?>

					<li class="empty"><?php esc_html_e( 'No products in the cart.', 'frontline' ); ?></li>

				<?php endif; ?>

			</ul><!-- end product list -->
        </div>
        <?php if ( ! WC()->cart->is_empty() ) : ?>
			<div class="widget_shopping_cart_footer">
				<p class="total"><strong><?php esc_html_e( 'Subtotal', 'frontline' ); ?>:</strong> <?php echo WC()->cart->get_cart_subtotal(); ?></p>

				<?php do_action( 'woocommerce_widget_shopping_cart_before_buttons' ); ?>

				<p class="buttons">
					<a href="<?php echo esc_url( wc_get_cart_url() ); ?>" class="btn wc-forward"><?php esc_html_e( 'View Cart', 'frontline' ); ?></a>
					<a href="<?php echo esc_url( wc_get_checkout_url() ); ?>" class="btn checkout wc-forward"><?php esc_html_e( 'Checkout', 'frontline' ); ?></a>
				</p>
			</div>
		<?php endif; ?>
    </div>
    <?php
    $fragments['div.widget_shopping_cart'] = ob_get_clean();
    return $fragments;
}

add_filter('single_product_archive_thumbnail_size', 'frontline_woocommerce_product_size');
function frontline_woocommerce_product_size($size){
    $size = 'full';
    return $size;
}


/**
 * Change number of archive products output
 */
add_filter( 'woocommerce_output_related_products_args', 'frontline_related_products_args', 20 );
  function frontline_related_products_args( $args ) {
	$args['posts_per_page'] = 3;
	$args['columns'] = 3;
	return $args;
}

add_filter( 'loop_shop_per_page', function($items){
    $items = frontline_get_opt('product_per_page','6');
    return $items;
}, 3 );

add_filter('loop_shop_columns', 'frontline_loop_columns', 999);
if (!function_exists('frontline_loop_columns')) {
    function frontline_loop_columns() {
        return frontline_get_opt('product_per_row',3);
    }
}
/* Ajax update cart total number */
add_filter( 'woocommerce_add_to_cart_fragments', 'iconic_cart_count_fragments', 10, 1 );
function iconic_cart_count_fragments( $fragments ) {

    $fragments['span.cart-count'] = '<span class="cart-count">' . WC()->cart->get_cart_contents_count() . '</span>';

    return $fragments;

}


